This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 1282094 - Python3 port of python-progressbar
Python3 port of python-progressbar
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: python-progressbar (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Truong Anh Tuan
Fedora Extras Quality Assurance
:
Depends On:
Blocks: PYTHON3
  Show dependency treegraph
 
Reported: 2015-11-14 16:39 EST by Adolfo Fitoria
Modified: 2017-08-08 10:28 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-08-08 10:28:01 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Python3 support (and modernize python macros) (7.37 KB, patch)
2015-11-15 14:10 EST, Ralph Bean
no flags Details | Diff

  None (edit)
Description Adolfo Fitoria 2015-11-14 16:39:00 EST
Python3 version of python-progressbar is available at pypi 

https://pypi.python.org/pypi/progressbar

Please add python3 support.

Thanks.
Comment 1 Ralph Bean 2015-11-15 14:10 EST
Created attachment 1094558 [details]
Python3 support (and modernize python macros)

Here's a patch that should make it work.
Comment 2 Truong Anh Tuan 2015-11-17 03:24:38 EST
I will take a spare time to do it soon.
Comment 3 Jan Kurik 2016-02-24 08:57:26 EST
This bug appears to have been reported against 'rawhide' during the Fedora 24 development cycle.
Changing version to '24'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/Fedora_Program_Management/HouseKeeping/Fedora24#Rawhide_Rebase
Comment 4 Ralph Bean 2016-03-28 22:06:13 EDT
Any chance of applying this, Truong?
Comment 5 Truong Anh Tuan 2016-03-28 22:57:48 EDT
(In reply to Ralph Bean from comment #4)
> Any chance of applying this, Truong?

Sorry, For some unknown reasons, I missed this issue :(
I will process it this weekend.
Comment 6 Truong Anh Tuan 2016-04-04 11:29:25 EDT
(In reply to Adolfo Fitoria from comment #0)
> Python3 version of python-progressbar is available at pypi 
> https://pypi.python.org/pypi/progressbar

The latest update on Pypi is 2015-02-20; while on its original repo (https://github.com/niltonvolpato/python-progressbar/commits/master), it shows to support python 3.4 from commit 9b5f02e on 2015-11-20.
Upstream developer also did not tag any releases on the original repo.

I am not sure what the right version is.

This is related to this bug #1218533 too.

Any ideas or advice?
Comment 7 Zbigniew Jędrzejewski-Szmek 2016-04-04 11:44:03 EDT
Seems to be mostly bugfixes and python3 support, so I think you could update to the git version (unless it breaks the interface or something like that, but it doesn't appear to).
Comment 8 Fedora End Of Life 2017-07-25 15:29:31 EDT
This message is a reminder that Fedora 24 is nearing its end of life.
Approximately 2 (two) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 24. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '24'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 24 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.
Comment 9 Petr Viktorin 2017-07-26 05:32:43 EDT
Still there,
Truong Anh Tuan, would you consider updating to the latest Git commit? Do you need any help with it?
Comment 10 Truong Anh Tuan 2017-07-27 00:40:20 EDT
(In reply to Petr Viktorin from comment #9)
> Still there,
> Truong Anh Tuan, would you consider updating to the latest Git commit? Do
> you need any help with it?

Sorry, I am too busy with day job these days so I have not got enough time to take care of this.
Would you like to take over this package?
Comment 11 Petr Viktorin 2017-07-27 04:26:01 EDT
Sure. I've requested access over at https://admin.fedoraproject.org/pkgdb/package/rpms/python-progressbar/
Comment 12 Petr Viktorin 2017-08-08 10:28:01 EDT
Updated and built in Rawhide.

Note You need to log in before you can comment on or make changes to this bug.